#ifndef MPD_FLOW_DCAEADER_H
#define MPD_FLOW_DCAEADER_H

#include <TF2.h>
#include <TString.h>
#include "mfNamespace.h"

#include <PicoDstRecoTrack.h>

using mfdca::Ndim;

class mfDcaReader
{
private:
  TString fDcaFileName;
  TF2 *fdca[Ndim];
public:
  mfDcaReader(/* args */);
  virtual ~mfDcaReader();

  virtual void SetDcaFitFile(TString str);
  virtual Double_t GetDcaSigmaX(PicoDstRecoTrack *const& recoTrack);
  virtual Double_t GetDcaSigmaY(PicoDstRecoTrack *const& recoTrack);
  virtual Double_t GetDcaSigmaZ(PicoDstRecoTrack *const& recoTrack);
  // Bool_t isPrimary(PicoDstRecoTrack *const& recoTrack);

  ClassDef(mfDcaReader,0);
};

#endif