#ifndef MPD_FLOW_PICODSTREADER_H
#define MPD_FLOW_PICODSTREADER_H

#include <iostream>

#include <Rtypes.h>
#include <TChain.h>
#include <TString.h>

class mfPicoDstReader
{
private:
    TChain fChain;
    void ProcessFile(TString str);
    void ProcessList(TString str);
public:
    mfPicoDstReader(/* args */);
    virtual ~mfPicoDstReader();

    TChain * Open(TString str);
    TChain * OpenFile(TString str);
    TChain * OpenList(TString str);
    void SetName(TString _a) { fChain.SetName(_a); }

    ClassDef(mfPicoDstReader,1);
};

#endif