#ifndef MPD_FLOW_QVECTOR_H
#define MPD_FLOW_QVECTOR_H

#include <Rtypes.h>
#include <TVector2.h>

class mfQvector : public TVector2
{
private:
  Float_t fHarmonic;
public:
  mfQvector(/* args */);
  mfQvector(Float_t harm, Float_t x, Float_t y);
  virtual ~mfQvector();

  // Setters
  void SetHarmonic(Float_t _a) { fHarmonic = _a; }

  // Getters
  Float_t GetHarmonic() const { return fHarmonic; }
  Float_t GetPhi() const { return (this->Phi()/fHarmonic); }

  ClassDef(mfQvector,0);
};

#endif